function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/07_Atelier_Chest_HO.lua', 'hidden_object', 'data/Scenes/07_Atelier_Main.lua')
    
    AddTask(CreateTask('PINCERS',   '',            'Pincers'));
    AddTask(CreateTask('BUTTERFLY', 'BUTTERFLIES', 'Butterfly1', 'Butterfly2', 'Butterfly3'));
    AddTask(CreateTask('FLOWER',    'FLOWERS',     'Flower1',    'Flower2',    'Flower3'));
    AddTask(CreateTask('CRAB',      'CRABS',       'Crab1',      'Crab2',      'Crab3'));
    
    AddRandomTasks( CreateTask('BOW',          '',              'Bow'),
                    CreateTask('BRACELET',     '',              'Bracelet'),
                    CreateTask('BRUSH',        '',              'Brush'),
                    CreateTask('CARD',         '',              'Card'),
                    CreateTask('SHELL',        'SHELLS',        'Cockleshell1', 'Cockleshell2', 'Cockleshell3'),
                    CreateTask('COMB',         '',              'Comb'),
                    CreateTask('CRANE',        '',              'Crane'),
                    CreateTask('DRAGONFLY',    'DRAGONFLIES',   'Dragonfly1', 'Dragonfly2', 'Dragonfly3'),
                    CreateTask('FISH',         '',              'Fish'),
                    CreateTask('FLASK',        '',              'Flask'),
                    CreateTask('GLOVES',       '',              'Glove'),
                    CreateTask('HARE',         '',              'Hare'),
                    CreateTask('KNIFE',        '',              'Knife'),
                    CreateTask('LEAF',         '',              'Leaf'),
                    CreateTask('LIZARD',       '',              'Lizard'),
                    CreateTask('PIPE',         '',              'Pipe'),
                    CreateTask('POWDER_CASE',  '',              'PowderCase'),
                    CreateTask('RING',         '',              'Ring'),
                    CreateTask('SHOES',        '',              'Shoes'),
                    CreateTask('SMALL_BAG',    '',              'SmallBag'),
                    CreateTask('STRAWBERRY',   '',              'Tuber'));
    
    RegisterToolFindInfo('07_pincers');
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Bow.png',0,0,110,92,1,0)
	anim:SetHotSpot(55,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bow',anim,758,599,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Bracelet.png',0,0,255,80,1,0)
	anim:SetHotSpot(127,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bracelet',anim,647,618,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Brush.png',0,0,87,80,1,0)
	anim:SetHotSpot(43,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Brush',anim,495,569,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Butterfly1.png',0,0,93,78,1,0)
	anim:SetHotSpot(46,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly1',anim,755,375,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Butterfly2.png',0,0,46,49,1,0)
	anim:SetHotSpot(23,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly2',anim,891,74,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Butterfly3.png',0,0,96,49,1,0)
	anim:SetHotSpot(48,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly3',anim,257,450,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Card.png',0,0,91,87,1,0)
	anim:SetHotSpot(45,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Card',anim,727,69,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Cockleshell1.png',0,0,53,41,1,0)
	anim:SetHotSpot(26,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cockleshell1',anim,469,347,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Cockleshell2.png',0,0,93,57,1,0)
	anim:SetHotSpot(46,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cockleshell2',anim,175,271,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Cockleshell3.png',0,0,104,56,1,0)
	anim:SetHotSpot(52,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cockleshell3',anim,467,521,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Comb.png',0,0,131,82,1,0)
	anim:SetHotSpot(65,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Comb',anim,615,520,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Crane.png',0,0,192,166,1,0)
	anim:SetHotSpot(96,83)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crane',anim,842,358,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Dragonfly1.png',0,0,78,78,1,0)
	anim:SetHotSpot(39,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dragonfly1',anim,672,342,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Dragonfly2.png',0,0,77,73,1,0)
	anim:SetHotSpot(38,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dragonfly2',anim,386,510,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Dragonfly3.png',0,0,64,71,1,0)
	anim:SetHotSpot(32,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dragonfly3',anim,867,196,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Fish.png',0,0,150,122,1,0)
	anim:SetHotSpot(75,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fish',anim,643,601,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Flask.png',0,0,100,65,1,0)
	anim:SetHotSpot(50,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flask',anim,915,368,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Flower1.png',0,0,60,52,1,0)
	anim:SetHotSpot(30,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower1',anim,293,344,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Flower2.png',0,0,69,94,1,0)
	anim:SetHotSpot(34,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower2',anim,713,198,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Flower3.png',0,0,66,58,1,0)
	anim:SetHotSpot(33,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower3',anim,742,652,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Glove.png',0,0,195,118,1,0)
	anim:SetHotSpot(97,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Glove',anim,235,455,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Hare.png',0,0,93,76,1,0)
	anim:SetHotSpot(46,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hare',anim,349,485,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Knife.png',0,0,136,68,1,0)
	anim:SetHotSpot(68,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Knife',anim,324,447,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Leaf.png',0,0,83,51,1,0)
	anim:SetHotSpot(41,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Leaf',anim,378,226,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Lizard.png',0,0,81,59,1,0)
	anim:SetHotSpot(40,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lizard',anim,270,200,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Pearl1.png',0,0,83,66,1,0)
	anim:SetHotSpot(41,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pearl1',anim,738,329,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Pearl2.png',0,0,77,34,1,0)
	anim:SetHotSpot(38,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pearl2',anim,158,457,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Pearl3.png',0,0,52,43,1,0)
	anim:SetHotSpot(26,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pearl3',anim,259,325,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Pincers.png',0,0,115,48,1,0)
	anim:SetHotSpot(57,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pincers',anim,443,494,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Pipe.png',0,0,160,67,1,0)
	anim:SetHotSpot(80,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pipe',anim,397,556,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/PowderCase.png',0,0,89,75,1,0)
	anim:SetHotSpot(44,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PowderCase',anim,547,533,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Ring.png',0,0,53,46,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ring',anim,442,369,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Shoes.png',0,0,123,71,1,0)
	anim:SetHotSpot(61,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoes',anim,867,474,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/SmallBag.png',0,0,151,110,1,0)
	anim:SetHotSpot(75,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SmallBag',anim,518,256,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Tuber.png',0,0,63,53,1,0)
	anim:SetHotSpot(31,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tuber',anim,212,289,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Grebeshok.png',0,0,131,56,1,0)
	anim:SetHotSpot(65,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Grebeshok',anim,611,499,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Karta.png',0,0,70,65,1,0)
	anim:SetHotSpot(35,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Karta',anim,697,61,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Kistochka.png',0,0,56,45,1,0)
	anim:SetHotSpot(28,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Kistochka',anim,501,602,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Roza2.png',0,0,120,78,1,0)
	anim:SetHotSpot(60,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Roza2',anim,534,324,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Sumochka.png',0,0,73,138,1,0)
	anim:SetHotSpot(36,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Sumochka',anim,474,260,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Trubka.png',0,0,157,73,1,0)
	anim:SetHotSpot(78,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Trubka',anim,384,564,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Layers/BG_Zhuravl.png',0,0,51,97,1,0)
	anim:SetHotSpot(25,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Zhuravl',anim,951,361,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Crab1.png',0,0,62,47,1,0)
	anim:SetHotSpot(31,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crab1',anim,530,313,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Crab2.png',0,0,69,71,1,0)
	anim:SetHotSpot(34,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crab2',anim,680,576,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_chest_HO/Items/Crab3.png',0,0,45,46,1,0)
	anim:SetHotSpot(22,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crab3',anim,62,118,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
